Author Topic: UI Starter Kit: Starlink (NGUI + TNet)  (Read 54054 times)

Sarper

  • Newbie
  • *
  • Thank You
  • -Given: 5
  • -Receive: 0
  • Posts: 21
    • View Profile
Re: UI Starter Kit: Starlink (NGUI + TNet)
« Reply #120 on: June 27, 2017, 12:29:16 PM »
Starlink UI kit has been updated to use TNet3 a year and a half ago, so I am not sure what you're asking...

Oh right, since your last post on this topic says it's added to the TODO list and there is a compile error on the package I thought it wasn't done yet.

  1. Assets/StarlinkUI/Scripts/Custom/Misc/GameManager.cs(234,26): error CS0115: `GameManager.OnEnable()' is marked as an override but no suitable method found to override

TNBehavior doesn't have an OnEnable method. Removing the override keyword and base.OnEnable call compiles it. Guess OnEnable got removed after updating the Starlink package.

Apart from that I get a bunch of localization warnings. I see that many widgets have UILocalize attached to them without any keys present. I'm using the latest versions of NGUI (3.11.4), TNet3(3.0.9) and Starlink UI (1.2.0) from the Asset Store.

ArenMook

  • Administrator
  • Hero Member
  • *****
  • Thank You
  • -Given: 337
  • -Receive: 1171
  • Posts: 22,151
  • Toronto, Canada
    • View Profile
Re: UI Starter Kit: Starlink (NGUI + TNet)
« Reply #121 on: July 06, 2017, 06:32:23 AM »
NGUI has its own Localization.txt. Delete it if you're using Starlink's.